#include <stdio.h>
#include <stdlib.h>
#include <math.h>

char i2lp(int i);
int l2i(char c);
char i2l(int i);
int l2ip(char c);
void rmgap(int numsp, int *nsite, char *seqc);
int rmgap_pair(int nsite, int *s1, int *s2, int *seq1, int *seq2);
int rseq(char *seq);
int rseqf(FILE *fp, char *seq);
void rinterleave(int *numsp, int *nsite, char name[][11], char *seq);
void rinterleavef(FILE *fp, int *numsp, int *nsite, char name[][11], char *seq);
void rinterleavef_nolim(FILE *fp, const int *numsp, const int *nsite, 
			char name[][11], char *seq);
void winterleave(int numsp, int nsite, char name[][11], char *seq);
void winterleavef(FILE *fp, int numsp, int nsite, char name[][11], char *seq);
void letter(int numsp, int nsite, char *seq);
void pchar_freq(int NCHAR, int nsite, int *s1, int *s2, double *pf);
void char_freq(int NCHAR, int numsp, int nsite, int *seq, double *freq);
void char_freq_count(int NCHAR, int numsp, int endsite, int *seq, int *count, 
		     double *freq);
void ou2nu(int numsp, double *outreec, double *utreec);
int patt_freq(int numsp, int nsite, int *seq, int *count);
void pr_utreec(FILE *fp, int ntaxa, double *utreec);
void pr_utreec_top(FILE *fp, int ntaxa, int *utreec);
void rlord_utreec(int ntaxa, double *utreec);
void pr_distmat(FILE *fp, int numsp, char name[][11], double *dmat);
void infilefreq(int nbin, int ntaxa, int nsite, int *seq, double *freq);
char *read_seqc(FILE *fp, int *ntaxa, int *nsite, char name[][11]);
int *read_seq(FILE *fp, int *ntaxa, int *nsite, char name[][11], int rm_gap);
int *read_seq_dna(FILE *fp, int *ntaxa, int *nsite, char name[][11], 
		  int rm_gap);
void dist_out(FILE *infile, int numsp, char name[][11], double *dmat);
