int tree2splitf(FILE *treefile, int ntrees, int numsp, int nsite, char name[][11], 
		int *usplits, int *count);
double dim_split(int numsp, int ntrees);
int minbp_dist(FILE *treefile, int B, int numsp, char name[][11], int *splits, 
	       int *usplits, int *count, int *minbp);
void pr_splits(FILE *outfile, int numsp, int nspl, int *splits);
void pr_usplits(FILE *outfile, int nspl, int numsp, int *usplits, int *count);
int sort_splits(int numsp, int nspl, int zeta, int *usplits, int *count);
int minbp_cut(int B, double alpha, int *minbp);
int compat_splits(int B, int numsp, int nspl, int maxtrees, int zeta, int *usplits, 
		  int *count, int *trees);
void splits2tree(int B, int numsp, int nspl, int *tree, int *usplits, int *count, 
		 double *utreec);
void minbp_trees(int numsp, int ntrees, int *trees, int *count, int *minbpv);
void pr_newick(FILE *outfile, int numsp, char names[][11], double *utreec);
void pr_names_R(FILE *outfile, int numsp, char name[][11]);
int usplitf(FILE *treefile, int B, int numsp, char name[][11], int *splits, 
	    int *usplits, int *count);
void bp_tree(int B, int numsp,  int nspl, int *splits, int *usplits, int *count, 
	     double *utreec);
void read_tree2nutreec(FILE *treefile, int numsp, char name[][11], double *utreec);
int compat_splits_mem(int B, int numsp, int nspl, int maxtrees, int zeta, 
		      int *usplits, int *count, int *trees);
int splits_in_tree(int numsp, int nspl, int *splits, int *usplits, int *tree);
int ranked_compat_splits(int B, int numsp, int nspl, int maxtrees, int *usplits, 
			 int *count, int *trees);
int up_usplitr(int numsp, int *nspl, int *split, int *usplits);
void up_usplits(int numsp, int nspls, int *nspl, int *splits, int *usplits, 
		int *count);
int minbpf(int B, int numsp, int nspls, int nspl, int *splits, int *usplits, 
	   int *count);
int ivsame(int n, int *x, int *y);
void utreec2splits(int numsp, double *utreec, int *splits);
int compat_pair(int numsp, int *fspl, int *sspl);
void split_leading1(int numsp, int *split);
